Modding questions and stuff

User avatar

Topic author
hxazgalor
Terran Settler (Unemployed)
Terran Settler (Unemployed)
Posts: 2
Joined: Tue Jul 26, 2016 8:52 pm
Contact:
Status: Offline

Modding questions and stuff

Postby hxazgalor » Tue Jul 26, 2016 9:11 pm

Hi all, I just joined the CC community, and I'm glad to be here. I can't remember if I actually had an account before, and if I did I've forgotten the details of it, so I opted to make a new one :o

I've recently decided to go back to BW and make a custom campaign, but I'm not going to use all those cool modding tools just yet (it will be made primarily with Staredit and SCMDraft, as I'm looking at story more than gameplay). But I may decide to go with a cool mod one day.

On that note, where can I get all the tools I need? I'm aware that some resources are hosted here, but I'm wondering if there's any that is updated for later versions of SC (1.16 or 1.15). Also, do any of you use a version switcher? Is it a good idea too? What about playing with mods that ask specifically for older patched versions of SC/BW?

Also, I wanna ask about playing old mod campaigns like Resurgence and Reclamation of Aiur. I'm running WIn 7, 64 bit, and I just can't seem to be able to play those two campaigns. When I try to run their respective .exe files (as admin and with compatibility set to XP SP3), I get the 'Starcraft has stopped working' error. How do I fix this? I read somewhere I could use MPQDraft to fix this, but I haven't a clue as to how to do it.

Your answers and help will be of great service. Thank you! :plz:


Revolta
Terran Science Facility Guinea Pig
Terran Science Facility Guinea Pig
Posts: 218
Joined: Thu Apr 23, 2015 6:02 am
Status: Offline

Re: Modding questions and stuff

Postby Revolta » Fri Jul 29, 2016 2:32 am

SCMDraft 2.0 - http://www.stormcoast-fortress.net/temp ... -setup.rar
BWAI Downgrader - http://files.campaigncreations.org/reso ... grader.zip
Python Modding Suite - https://github.com/poiuyqwert/PyMS

SCMDraft is the premiere map editor at the moment, and you should use it and only it for your projects.
Use the downgrader to go between 1.16.1 (which you should use for all current projects that you're working on) and whatever version of SC a certain campaign or mod asks for.
If you ever get into modding, PyMS is a great toolset. Needs python installed though.

In 1999, which is the year Reclamation of Aiur came out, patches 1.05, 1.06, and 1.07 were released. 1.07 was there for the longest period of time, so try downgrading to that using the BWAI Downgrader and see if it works. Same goes for Resurgence.
If neither of those work, using WinMPQ or PyMPQ to extract all the files of the .exes and into .mpqs will make them compatible with MPQDraft. And actually, I think MPQDraft can load .exes as well.

Good luck!


blazin
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 23
Joined: Thu Jun 30, 2016 9:26 am
Status: Offline

Re: Modding questions and stuff

Postby blazin » Fri Jul 29, 2016 11:47 am

hxazgalor wrote: Also, do any of you use a version switcher? Is it a good idea too? What about playing with mods that ask specifically for older patched versions of SC/BW?


Yes, I do use a version switcher sometimes. There are a few campaigns that only work with old starcraft versions (Aeon of the Hawk, Temporal Distortion, Flame Knives and so on )


You need to do the next thing before using those patch programs:

- If you own only StarCraft, copy "INSTALL.EXE" from the StarCraft CD to
your StarCraft folder and rename it to "StarCraft.mpq".
- If you own StarCraft: Brood War, copy "INSTALL.EXE" from the StarCraft:
Brood War CD to your StarCraft folder and rename it to "BroodWar.mpq".




hxazgalor wrote:Also, I wanna ask about playing old mod campaigns like Resurgence and Reclamation of Aiur. I'm running WIn 7, 64 bit, and I just can't seem to be able to play those two campaigns. When I try to run their respective .exe files (as admin and with compatibility set to XP SP3), I get the 'Starcraft has stopped working' error. How do I fix this? I read somewhere I could use MPQDraft to fix this, but I haven't a clue as to how to do it.

Your answers and help will be of great service. Thank you! :plz:



There are a lot of methods to make these old mods to work for current starcraft in windows 7. Before using mpqdraft, you need to use winmpq to extract all the files inside the executable so you can make a new mpq file yourself.

Try changing the name of the executable to ''.mpq'' and then use mpq draft to load the patch. see if that works

if it doesn't work either you can check out in mod db my mod called ''Starcraft Old Campaigns for 1.16.1'' which contains a firegraft executable for reclamation of aiur. i might add an executable for resugernce later


Return to “StarCraft Discussion”

Who is online

Users browsing this forum: No registered users and 1 guest